## gnome-shell 49~alpha.1

=== debian/changelog ===
gnome-shell (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop dependency xserver-xorg-legacy

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 16:02:00 +0200

gnome-shell (49~alpha.1-0ubuntu1) questing; urgency=medium

  * Merge with debian, containing a new upstream release
  * d/patches: Refresh
  * debian/rules: Update stylesheet regeneration script path
  * d/p/ubuntu-authd: Ensure that error messages are always shown on failure
  * d/p/ubuntu-authd: Fix handling of authentication switching for wait layouts
  * d/p/ubuntu-authd: Drop some delta with upstream and fix greeter buttons
  * d/p/ubuntu-authd: Move login options button to the leftmost side
  * d/p: Cleanup the yaru spinner patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 06:16:31 +0200

gnome-shell (48.0-1ubuntu2) questing; urgency=medium

  * d/p/authd: Notify messages on authentication Next too

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 May 2025 14:46:39 +0200
