## gnome-shell 49~beta

=== debian/changelog ===
gnome-shell (49~beta-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/p: Refresh patches
  * d/control: Bump build dependencies
  * d/p: Refresh, dropping applied upstream
  * d/p: Keep support being started via legacy desktop file.
    With older gnome-session this is still required.
    Drop the patches as soon as gnome-session 49 will be ready for this.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 09 Aug 2025 04:13:57 +0200
