=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.73.1),
+               gjs (>= 1.81.2),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -26,14 +26,14 @@
                gnome-control-center-dev,
                gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 48~beta),
+               gsettings-desktop-schemas-dev (>= 49~alpha),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgjs-dev (>= 1.73.1),
+               libgjs-dev (>= 1.81.2),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.80),
                libgnome-autoar-0-dev,
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~alpha.1),
-               mutter-17-tests (>= 49~alpha.1) <!nocheck>,
+               libmutter-17-dev (>= 49~beta),
+               mutter-17-tests (>= 49~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -58,7 +58,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~alpha.1) <!nocheck>,
+               mutter (>= 49~beta) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -70,7 +70,7 @@
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://wiki.gnome.org/Projects/GnomeShell
+Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
@@ -97,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~alpha.1),
+         gir1.2-mutter-17 (>= 49~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -105,11 +105,11 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 48~beta),
+         gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.80),
          python3,
@@ -166,7 +166,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.81.2),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
