=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.81.2),
+               gjs (>= 1.85.2),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -25,7 +25,6 @@
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
                gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
-               gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 49~alpha),
                gtk-doc-tools,
                libasound2-dev,
@@ -33,9 +32,10 @@
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgjs-dev (>= 1.81.2),
+               libgirepository-2.0-dev (>= 2.85.1),
+               libgjs-dev (>= 1.85.2),
                libgl1-mesa-dri <!nocheck>,
-               libglib2.0-dev (>= 2.80),
+               libglib2.0-dev (>= 2.85.1),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-4-dev (>= 40),
@@ -87,7 +87,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 47.0-4~),
          gir1.2-geoclue-2.0,
-         gir1.2-glib-2.0 (>= 2.80),
+         gir1.2-glib-2.0 (>= 2.85.1),
          gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
          gir1.2-gnomedesktop-4.0 (>= 40),
@@ -105,13 +105,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.81.2),
+         gjs (>= 1.85.2),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
-         libglib2.0-bin (>= 2.80),
+         libglib2.0-bin (>= 2.85.1),
          python3,
          tecla,
          ubuntu-wallpapers,
@@ -144,6 +144,8 @@
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
         gnome-shell-extensions (<< 40.0~),
+        gnome-session (<< 49~beta~),
+        ubuntu-session (<< 49~beta~),
         authd (<< 0.4.2~),
 Provides: notification-daemon,
           polkit-1-auth-agent
@@ -166,7 +168,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.81.2),
+         gjs (>= 1.85.2),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
