## gnome-shell 49~rc

=== debian/changelog ===
gnome-shell (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release:
    - Fix leak with custom themes (LP: #2121786)
    - Prefer physical scroll directions on sliders (LP: #1738676)
    - Use a clearer icon for active wifi connections without AP (LP: #2120734)
    - Use GioUnix for DesktopAppInfo (LP: #2120780)
  * d/p/ubuntu-authd:
    - Do not emit verification-complete signal.
      When the verification is completed from the authd side, the PAM stack
      that follows can still fail for some other reasons, so do not
      preemptively mark the verification as completed until we're really done.
      This is not a security issue since the signal is not leading to user
      access until the PAM stack is completed, but it may still make the shell
      to be in a wrong state in case the authentication does not complete.
    - Fix cancel handling with only one broker / auth method.
      In case only one broker (unlikely, but potentially possible) or an
      authentication method is available, the "go back" request did not work
      properly, so fix these cases by checking the current state
    - Cleanup the broker and auth mode selection.
      We can factorize some repeated code
    - Autoselect the first broker / auth mode if only received.
      If we only have one broker or an auth mode, it does not make sense to
      show a choice list, we can just proceed with it
    - Do not explicitly start an auth mechanism.
      Submitting a changed mechanisms list is enough to trigger the machinery
      to switch the default mechanism, since we already sort the mechanisms by
      their priority and gdm will pick them in order.
      Instead before we might ended up selecting the same mechanism twice
    - Do not re-start a challenge for the same auth mode.
      It may lead to cancelling the current one for no reason
    - Do not show intermediate UIs if uneeded
    - Never show the QR code intro button.
      It's just an unnecessary extra step for us
    - Do not wait for auto-selection while going back.
      As per previous commits we are now waiting for potential auto-selection
      to happen before asking the user to pick a choice, to prevent this to
      slow down the "going back" experience, we can ignore the timeout when
      going backwards, since there's no risk of auto-selection to happen
    - authPrompt preserve the text when switching entry visibility.
      Avoid replacing lockscreen password entry contents when visibility
      changes
    - Do not retry verification on explicit user cancellation.
      When going back (or hitting escape) key while authentication is in
      progress, once we've reached the initial stage, we can just mark the
      authentication as failed to avoid the default logic to retry until the
      max-retries are reached.
      This is something that authd handles internally, so we do not have any
      need for this
    - Do not reset the authentication at every lockscreen tap.
      Upstream code is affected by this bug that is more annoying in a
      MFA-setup, where just tapping the lockscreen may lead the authentication
      to be restarted.
      So stop this, by handling the tap event only when it matters
  * d/p: Use a better fix for the key-focus of the choice list
  * d/p: Drop patches, applied upstream
  * d/p: Refresh patch indexes
  * debian/control:
    - Update build dependencies
    - Require newer ubuntu mutter package version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:17:26 +0200
