=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~beta),
-               mutter-17-tests (>= 49~beta) <!nocheck>,
+               libmutter-17-dev (>= 49~rc-0ubuntu2),
+               mutter-17-tests (>= 49~rc) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -54,11 +54,12 @@
                libsecret-1-dev,
                libsystemd-dev [linux-any],
                libx11-dev,
+               libxext-dev,
                libxfixes-dev,
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~beta) <!nocheck>,
+               mutter (>= 49~rc) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -97,7 +98,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~beta),
+         gir1.2-mutter-17 (>= 49~rc),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
