## gnome-shell 49.0

=== subprojects/extensions-app/meson_options.txt ===
option('package_name',
  type: 'string',
  description: 'The gettext domain name',
)
option('profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)
