=== debian/changelog ===
gnome-shell (49.0-1ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Drop applied upstream
  * debian/patches: Refresh
  * d/tests/control: Use a more robust xvfb-run command-line

  [ Simon McVittie ]
  * d/p/slider-Use-the-sprite-of-the-touch-event-not-the-pointer.patch:
    Add patch from upstream to fix a UI freeze when touching quick menu
    sliders (volume, brightness) on a touchscreen (LP: #2125013)
  * d/rules: Use a more robust xvfb-run command-line in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 18:23:55 +0200

gnome-shell (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib and mutter

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump build dependencies
  * d/control: Add a Breaks on older gnome session
  * debian/tests:
    - Add autopkgtests for GNOME Shell
    - Run tests on the installed gnome-shell.
      Run the autopkgtests running the upstream-provided test scripts using
      the gnome-shell in the archive installed as it is.
      When in ubuntu, we are also using the ubuntu profile.
  * debian/salsa-ci: Enable i386 autopkg-tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:49:15 -0400

gnome-shell (49~rc-0ubuntu2) questing; urgency=medium

  * debian/patch: Add fix for brightness manager handle globalScale
  * debian/control: Require glib 2.86.0 as build dependency
    While it's technically not a build dependency, if we build with older
    GNOME shell, we end up generating a Shell typelib that refers to
    DesktopAppInfo symbols inside Gio, rather than in GioUnix and this
    causes an immediate crash as soon as we try to get an appInfo from a
    shell application in JS
  * debian: Bump dependencies on GLib and gjs
  * d/p: Add patches to fix tests compilation dependencies
  * debian/tests: Add autopkgtests for GNOME Shell
  * debian/tests: Run tests on the installed gnome-shell.
    Run the autopkgtests running the upstream-provided test scripts using
    the gnome-shell in the archive installed as it is.
    When in ubuntu, we are also using the ubuntu profile.
  * debian/tests/control: Install the ubuntu shell extensions in shell tests.
    When running the shell tests also install the ubuntu extensions, so that
    we can ensure that they are not breaking anything relevant.
    We are not checking (yet) if the extensions are working, but a test for
    this can be added at later point
  * debian/tests/control: Ignore i386 on ubuntu
  * d/p/prompting-extension: Improve error if snap application PID has not
    been found

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Sep 2025 18:34:30 +0200
