=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs (>= 1.85.2),
+               gjs (>= 1.85.90),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gcr-4-dev,
                gir1.2-gdkpixbuf-2.0-dev,
@@ -32,10 +32,10 @@
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev (>= 3.90.0),
-               libgirepository-2.0-dev (>= 2.85.1),
-               libgjs-dev (>= 1.85.2),
+               libgirepository-2.0-dev (>= 2.86.0),
+               libgjs-dev (>= 1.85.90),
                libgl1-mesa-dri <!nocheck>,
-               libglib2.0-dev (>= 2.85.1),
+               libglib2.0-dev (>= 2.86.0),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-4-dev (>= 40),
@@ -45,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-17-dev (>= 49~rc-0ubuntu2),
-               mutter-17-tests (>= 49~rc) <!nocheck>,
+               libmutter-17-dev (>= 49.0),
+               mutter-17-tests (>= 49.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -59,7 +59,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 1.3.0),
-               mutter (>= 49~rc) <!nocheck>,
+               mutter (>= 49.0) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -88,7 +88,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 47.0-4~),
          gir1.2-geoclue-2.0,
-         gir1.2-glib-2.0 (>= 2.85.1),
+         gir1.2-glib-2.0 (>= 2.86.0),
          gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
          gir1.2-gnomedesktop-4.0 (>= 40),
@@ -98,7 +98,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-17 (>= 49~rc),
+         gir1.2-mutter-17 (>= 49.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -106,13 +106,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gjs (>= 1.85.2),
+         gjs (>= 1.85.90),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 49~alpha),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
-         libglib2.0-bin (>= 2.85.1),
+         libglib2.0-bin (>= 2.86.0),
          python3,
          tecla,
          ubuntu-wallpapers,
@@ -169,7 +169,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.85.2),
+         gjs (>= 1.85.90),
          gnome-shell (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
