=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,6 @@
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
 
-execute_before_dh_auto_build:
-	# Regenerate the css files before building
-	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
-		python3 build-aux/generate-stylesheets.py
-
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
 
@@ -63,6 +58,8 @@
 # and skip the tests that would run the whole Shell. See discussion in
 # https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
 meson_test_options += --no-suite shell
+else ifneq ($(filter mips64el riscv64,$(AUTOPKGTEST_TEST_ARCH)),)
+meson_test_options += --no-suite shell
 endif
 
 override_dh_auto_test:
