## gnome-shell 49.2

=== debian/changelog ===
gnome-shell (49.2-2kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 16:06:38 +0100

gnome-shell (49.2-2) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Remove direct Build-Depends: dbus
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 20:49:01 -0500

gnome-shell (49.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 09 Dec 2025 08:56:11 +0100

gnome-shell (49.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2025 16:37:36 +0000

gnome-shell (49.1-5kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Nov 2025 07:34:03 +0100

gnome-shell (49.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Oct 2025 14:08:19 +0200

gnome-shell (48.4-1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@debian.org>  Mon, 18 Aug 2025 09:43:57 +0700
