=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: appstream,
                bash-completion,
-               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -45,6 +45,7 @@
                libibus-1.0-dev,
                libjson-glib-dev,
                libmutter-17-dev (>= 49.0),
+               libxml2-utils,
                mutter-17-tests (>= 49.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
@@ -67,10 +68,12 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -110,7 +113,6 @@
          libglib2.0-bin (>= 2.86.0),
          python3,
          tecla,
-         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
@@ -161,9 +163,7 @@
          gir1.2-gtk-4.0,
          gjs (>= 1.85.90),
          gnome-shell (= ${binary:Version}),
-         ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
 Provides: gnome-extensions-app
 Recommends: gnome-browser-connector
 Description: tool to enable / disable GNOME Shell extensions
