=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: appstream,
                bash-completion,
+               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
