=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 endif
 
 override_dh_auto_configure:
+	rm -f data/theme/gnome-shell*.css
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
 		-Dportal_helper=false \
@@ -70,4 +71,5 @@
 	dh_auto_test -- $(meson_test_options)
 endif
 
-override_dh_gnome_clean:
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
+override_dh_gnome:
