=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gnome-shell
 Section: gnome
-Priority: optional
-XSBC-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
                dbus-daemon <!nocheck>,
@@ -71,10 +69,8 @@
                xwayland <!nocheck>
 Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-shell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-shell.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/forky
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
