=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 endif
 
 override_dh_auto_configure:
-	rm -f data/theme/gnome-shell*.css
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
 		-Dportal_helper=false \
